The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Configuration Push Status

Prev Next

This URL gets the configuration push status.

Resource URL

sensor/<sensor_ID>/action/update_sensor_config/<request_ID>

Request Parameters

URL parameters:

Field Name

Description

Data Type

Mandatory

sensor_ID

ID of the Suricata Sensor

Number

Yes

request_ID

Request ID details

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct.

Field Name

Description

Data Type

sigsetConfigPercentageComplete

Status of sigset configuration in percentage

Number

sigsetConfigStatusMessage

Status message for sigset configuration

String

botnetPercentageComplete

Status of botnet completion in percentage

Number

botnetStatusMessage

Status message for botnet

String

SSLPercentageComplete

Status of SSL completion in percentage

Number

SSLStatusMessage

Status message for SSL

String

GamUpdatePercentageComplete

Status of GAM update in percentage

Number

GamUpdateStatusMessage

Status message for GAMP updates

String

Example

Request

GET https://<IPSM_IP>/sdkapi/sensor/1039/action/update_sensor_config/1769734863771

Response

{    
    "sigsetConfigPercentageComplete": 100,    
    "sigsetConfigStatusMessage": "DOWNLOAD COMPLETE",    
    "botnetPercentageComplete": 0,    
    "botnetStatusMessage": "NA",    
    "SSLPercentageComplete": 0,    
    "SSLStatusMessage": "NA",    
    "GamUpdatePercentageComplete": 0,    
    "GamUpdateStatusMessage": "NA"
}

Error Information

The following error code is returned by this URL:

S.No

Generic Error Codes

ErrorMessage

Error Reason

1

1001

Bad URL - HTTP 404 Not Found

Mistyped URL

Internal Error – Null

Incorrect Input data, authentication issues